Updates the work instruction with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

work_instruction
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating work_instruction

string
sales_organization

Embedded entity "sales_organization" when adding/updating work_instruction

sales_organization
job_type_id

Applicable job_type

globally unique identifier

Required

job_type_code

Applicable job_type

string
equipment_family_id

Applicable equipment family

globally unique identifier

Required

equipment_family_code

Applicable equipment family

string
skill_ids

List of only applicable skils

Collection of globally unique identifier
skill_codes

List of only applicable skils

Collection of string
name

Name of the header of the work instruction.

string

Required

Max length: 50

description

Explanation of these instructions for the technician.

string

Required

Max length: 255

estimated_work_time

Time needed to complete these instructions. Number in minute.

integer
additional_information

Additional information

string

Max length: 4000

reference_back_office

The Id/Ref of the back office for this work instruction. Used by Embedded entity

string

Max length: 255

is_required

If true then all instructions required to be executed

boolean
is_archived

Specify if the object is not usable anymore

boolean
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating.

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "75ddfcfb-9ab0-458e-b27b-a8092e7f8481",
  "sales_organization_id": "42b030e1-f53b-40fe-adde-f7c572f1846b",
  "sales_organization_code": "sample string 3",
  "job_type_id": "d26c3298-4db3-4581-af39-e53c8c768ca7",
  "job_type_code": "sample string 5",
  "equipment_family_id": "24375bc7-08ee-424f-afe9-814c16eba94f",
  "equipment_family_code": "sample string 7",
  "skill_ids": [
    "4d8f5eb5-05be-4c74-bee4-c25fa80493ba",
    "997ec477-9244-4abe-97ef-0a2db041179c"
  ],
  "skill_codes": [
    "sample string 1",
    "sample string 2"
  ],
  "name": "sample string 8",
  "description": "sample string 9",
  "estimated_work_time": 10,
  "additional_information": "sample string 11",
  "reference_back_office": "sample string 12",
  "is_required": true,
  "is_archived": true,
  "modified_dateutc": "2026-10-28T21:50:21.9627129+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.